Registration Fee Estimator - Sandbox

Registration Fee Estimator

1.0.0OAS 3.0

Calculates estimated title and registration fees for a vehicle based on jurisdiction, vehicle attributes, and transaction type, prior to submission.

API Base URL
  • Server 1:https://api-test.vitu.com/national-public-api/v2
Security
keycloak (oauth2)

Client Credentials OAuth Flow

Token URL: https://auth.test.vitu.com/realms/api/protocol/openid-connect/token

Scopes:

  • oneapi:access - Allow access to this API via Keycloak
Additional Information

Fees

Calculate Fees

Calculates fees

post
https://api-test.vitu.com/national-public-api/v2/fees

Query Parameters

transactionTypestring

Identifier of the type of the transaction

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:INTERSTATE

Headers

x-on-behalf-of-userinteger

Id of the user on behalf of whom the request is being made

Body

application/json

BaseTransactionDTO

BaseTransactionDTO
One Of
AkTransactionDTOOne Of
AkTransactionDTOobject
* Additional properties are NOT allowed.

Response

application/json

OK

FeesResponseDTO

taxableSellingPricenumber
appliedTradeInValuenumber
feesarray

<= 500 items

Show Child Parameters
regUsaSalesTaxobject
post/fees

Body

{ "refNumber": "86932a4b-a53a-4a77-ace8-8da0609d58e1", "state": "AK", "applicationType": "TitleAndRegistration", "registration": { "action": "NewRegistration", "plateCategory": "Standard", "disabledPermit": false, "titleInHand": true, "address": { "street": "842 W Intl Airport Rd", "city": "Anchorage", "county": "Anchorage", "state": "AK", "zipCode": "99518", "zipCodeExt": 1001 } }, "seller": { "deliveryMethod": "DrivenOffLot", "isIndividual": false, "firstName": "Gregory", "lastName": "House", "dealerName": "Galpin California", "dealerLicenseNumber": "DA123", "phone": "8181234567", "email": "[email protected]", "address": { "street": "411 W Ocean Blvd,", "city": "VAN NUYS", "county": "Los Angeles", "state": "CA", "zipCode": "91401" } }, "owner": { "isIndividual": false, "ownerType": "Business", "dlNotMatchName": false, "ownersAddressMatchOwnersId": true, "applyingForPrimaryAddressException": false, "fein": "222222222", "businessName": "BUSINESS" }, "vehicle": { "state": "AK", "vehicleType": "Passenger", "useType": "Personal", "purchaseDate": "2022-07-09", "year": 2021, "unladenWeight": 4017, "numberOfRegYears": 2, "lienRecordingFee": false, "color": "Bronze", "make": "HYUNDAI", "model": "SANTA FE", "vin": "5NMS4DAL5MHTEST", "bodyType": "Utility (UT)", "bodyTypeId": 205, "grossWeight": 5357, "odometerReading": 234, "sellingPrice": 50000.99, "saleType": "Purchase", "vehicleSoldAs": "Used", "odometerValidity": "Actual", "isOwnerMilitary": false }, "insurance": { "companyName": "INSURCOMP", "policyNumber": "12515125125" }, "plateDestination": { "type": "Owner", "name": "BUSINESS", "address": { "street": "842 W Intl Airport Rd", "city": "Anchorage", "county": "Anchorage", "state": "AK", "zipCode": "99518" } }, "caAddress": { "city": "VAN NUYS", "county": "Los Angeles", "zipCode": "91401", "zipCodeExt": 91401 }, "tradeInVehicles": [ { "plateNumber": "9685196F", "vin": "1GC2CUEG6JF178295", "tradeInValue": 1001 } ] }
 
application/json